//
//  SettingsViewModel.swift
//  1Weather
//
//  Created by Dmitry Stepanets on 26.03.2021.
//

import UIKit


class SettingsViewModel: ViewModelProtocol {
    let settings = Settings.shared
    weak var delegate:ViewModelDelegate?
    
    init() {
        settings.delegate.add(delegate: self)
    }
}

extension SettingsViewModel: SettingsDelegate {
    func settingsDidChange() {
        self.delegate?.viewModelDidChange(model: self)
    }
}
